/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package vn.dtt.sol.cmon.dm.dao.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the DATAGROUP service. Represents a row in the &quot;DM_DATAGROUP&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link vn.dtt.sol.cmon.dm.dao.model.impl.DATAGROUPModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link vn.dtt.sol.cmon.dm.dao.model.impl.DATAGROUPImpl}.
 * </p>
 *
 * @author khoa.vu
 * @see DATAGROUP
 * @see vn.dtt.sol.cmon.dm.dao.model.impl.DATAGROUPImpl
 * @see vn.dtt.sol.cmon.dm.dao.model.impl.DATAGROUPModelImpl
 * @generated
 */
public interface DATAGROUPModel extends BaseModel<DATAGROUP> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a d a t a g r o u p model instance should use the {@link DATAGROUP} interface instead.
	 */

	/**
	 * Returns the primary key of this d a t a g r o u p.
	 *
	 * @return the primary key of this d a t a g r o u p
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this d a t a g r o u p.
	 *
	 * @param primaryKey the primary key of this d a t a g r o u p
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the ID of this d a t a g r o u p.
	 *
	 * @return the ID of this d a t a g r o u p
	 */
	public long getId();

	/**
	 * Sets the ID of this d a t a g r o u p.
	 *
	 * @param id the ID of this d a t a g r o u p
	 */
	public void setId(long id);

	/**
	 * Returns the code of this d a t a g r o u p.
	 *
	 * @return the code of this d a t a g r o u p
	 */
	@AutoEscape
	public String getCode();

	/**
	 * Sets the code of this d a t a g r o u p.
	 *
	 * @param code the code of this d a t a g r o u p
	 */
	public void setCode(String code);

	/**
	 * Returns the name of this d a t a g r o u p.
	 *
	 * @return the name of this d a t a g r o u p
	 */
	@AutoEscape
	public String getName();

	/**
	 * Sets the name of this d a t a g r o u p.
	 *
	 * @param name the name of this d a t a g r o u p
	 */
	public void setName(String name);

	/**
	 * Returns the description of this d a t a g r o u p.
	 *
	 * @return the description of this d a t a g r o u p
	 */
	@AutoEscape
	public String getDescription();

	/**
	 * Sets the description of this d a t a g r o u p.
	 *
	 * @param description the description of this d a t a g r o u p
	 */
	public void setDescription(String description);

	@Override
	public boolean isNew();

	@Override
	public void setNew(boolean n);

	@Override
	public boolean isCachedModel();

	@Override
	public void setCachedModel(boolean cachedModel);

	@Override
	public boolean isEscapedModel();

	@Override
	public Serializable getPrimaryKeyObj();

	@Override
	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	@Override
	public ExpandoBridge getExpandoBridge();

	@Override
	public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

	@Override
	public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

	@Override
	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	@Override
	public Object clone();

	@Override
	public int compareTo(DATAGROUP datagroup);

	@Override
	public int hashCode();

	@Override
	public CacheModel<DATAGROUP> toCacheModel();

	@Override
	public DATAGROUP toEscapedModel();

	@Override
	public DATAGROUP toUnescapedModel();

	@Override
	public String toString();

	@Override
	public String toXmlString();
}